class PauseState extends GameState {
  String message = "PAUSED";
  PImage gameScreen;
  
  void init(GameEngine game){
    println("PauseState : init()");
    gameScreen = get();
    cursor();
    textSize(48);
    textAlign(CENTER, CENTER);
  }
  
  void cleanup(){
    println("Pause : cleanup()");
  }
  
  void draw(GameEngine game){
    background(gameScreen);
    fill(0);
    text(message, width/2, height/2);
  }
  
  void keyPressed(GameEngine game){
    //Un-pause the game with the "P" key
    if ( key == 'P' || key == 'p'){
      game.popState();
    }
  }
}
